Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.sql
Enum QSqlDriver.StatementType

    java.lang.Object
      java.lang.Enum<QSqlDriver.StatementType>
          com.trolltech.qt.sql.QSqlDriver.StatementType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSqlDriver.StatementType>

Enclosing class:
  QSqlDriver

    public static enum QSqlDriver.StatementType

extends java.lang.Enum<QSqlDriver.StatementType>
implements QtEnumerator

This enum contains a list of SQL statement (or clause) types the driver can create.

See Also:
  `sqlStatement`

Enum Constant Summary
`DeleteStatement` An SQL `DELETE` statement (e.g., `DELETE FROM t`).
`InsertStatement` An SQL `INSERT` statement (e.g., `INSERT INTO t (f) values (1)`).
`SelectStatement` An SQL `SELECT` statement (e.g., `SELECT f FROM t`).
`UpdateStatement` An SQL `UPDATE` statement (e.g., `UPDATE TABLE t set f = 1`).
`WhereStatement` An SQL `WHERE` statement (e.g., `WHERE f = 5`).

Method Summary
`static QSqlDriver.StatementType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlDriver.StatementType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSqlDriver.StatementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WhereStatement

    public static final QSqlDriver.StatementType WhereStatement

  An SQL `WHERE` statement (e.g., `WHERE f = 5`).

### SelectStatement

    public static final QSqlDriver.StatementType SelectStatement

  An SQL `SELECT` statement (e.g., `SELECT f FROM t`).

### UpdateStatement

    public static final QSqlDriver.StatementType UpdateStatement

  An SQL `UPDATE` statement (e.g., `UPDATE TABLE t set f = 1`).

### InsertStatement

    public static final QSqlDriver.StatementType InsertStatement

  An SQL `INSERT` statement (e.g., `INSERT INTO t (f) values (1)`).

### DeleteStatement

    public static final QSqlDriver.StatementType DeleteStatement

  An SQL `DELETE` statement (e.g., `DELETE FROM t`).

Method Detail

### values

    public static final QSqlDriver.StatementType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSqlDriver.StatementType c : QSqlDriver.StatementType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSqlDriver.StatementType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlDriver.StatementType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD